com.ihr.xbrl.mapper

## Class MapNamespaceResolver

- java.lang.Object
- - com.ihr.xbrl.mapper.MapNamespaceResolver

- All Implemented Interfaces:
    net.sf.saxon.om.NamespaceResolver

      public class MapNamespaceResolver
      extends java.lang.Object
      implements net.sf.saxon.om.NamespaceResolver

  The Class MapNamespaceResolver.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `loaderNs` The loader ns.
    `static java.lang.String` | `mapperNs2` This is 2008 mapper files, no sections.
    `static java.lang.String` | `mapperNs3` This is 2011 mapper files, with sections.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapNamespaceResolver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getURIForPrefix(java.lang.String prefix, boolean useDefault)`
    `java.util.Iterator<java.lang.String>` | `iteratePrefixes()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapperNs2

          public static java.lang.String mapperNs2

      This is 2008 mapper files, no sections.

    - #### mapperNs3

          public static java.lang.String mapperNs3

      This is 2011 mapper files, with sections.

    - #### loaderNs

          public static java.lang.String loaderNs

      The loader ns.

  - ### Constructor Detail

    - #### MapNamespaceResolver

          public MapNamespaceResolver()

  - ### Method Detail

    - #### getURIForPrefix

          public java.lang.String getURIForPrefix(java.lang.String prefix,
                                         boolean useDefault)

      Specified by:
        `getURIForPrefix` in interface `net.sf.saxon.om.NamespaceResolver`

    - #### iteratePrefixes

          public java.util.Iterator<java.lang.String> iteratePrefixes()

      Specified by:
        `iteratePrefixes` in interface `net.sf.saxon.om.NamespaceResolver`